unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, Psock, NMsmtp;

type
  TForm1 = class(TForm)
    NMSMTP1: TNMSMTP;
    ButtonConfiguration: TButton;
    ButtonConnection: TButton;
    ButtonDeconnection: TButton;
    ButtonEMail: TButton;
    Label1: TLabel;
    procedure ButtonConfigurationClick(Sender: TObject);
    procedure ButtonConnectionClick(Sender: TObject);
    procedure ButtonEMailClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure NMSMTP1ConnectionRequired(var Handled: Boolean);
    procedure ButtonDeconnectionClick(Sender: TObject);
    procedure NMSMTP1Success(Sender: TObject);
    procedure NMSMTP1Failure(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

uses UnitConfiguration, UnitEMail;

{$R *.DFM}

procedure TForm1.ButtonConfigurationClick(Sender: TObject);
begin
  FormConfiguration.ShowModal;
end;

procedure TForm1.ButtonConnectionClick(Sender: TObject);
begin
  NMSMTP1.Connect; 
end;

procedure TForm1.ButtonEMailClick(Sender: TObject);
begin
  // ouverture de la form permettant de remplir l'E Mail
  if FormEMail.ShowModal=MrOk
  // puis envoie si l'utilisateur a cliqu sur ok
          then Form1.NMSMTP1.SendMail;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  // remplie les diffrentes proprits de type configuration
  //  partir des Edits qui se trouvent dans FormConfiguration
  // n'est utile que si vous avez modifi les valeurs de ces Edits
  // pour y mettre celles correspondant  votre configuration.
  FormConfiguration.BitBtn1ValidationConfiguration(Sender);
end;

procedure TForm1.NMSMTP1ConnectionRequired(var Handled: Boolean);
// L'vnement OnConnectionRequired est dclench ds qu'une mthode appele
// a besoin que le client se connecte  un hte distant.
// Si Handled a la valeur True, la mthode est retente, Sinon, la mthode est
// annule et une exception est dclenche. Si Handled a la valeur true
// alors que le client n'est toujours pas connect, une exception est dclenche.
begin
  If MessageDlg('Vous n''tes pas connect. Connection ?', mtConfirmation, mbOkCancel, 0) = mrOk then
  Begin
    Handled := TRUE;
    NMSMTP1.Connect;
  End;
end;

procedure TForm1.ButtonDeconnectionClick(Sender: TObject);
begin
 try NMSMTP1.Disconnect except ShowMessage ('erreur : sans doute dj dconnect') end;
end;

procedure TForm1.NMSMTP1Success(Sender: TObject);
begin
  ShowMessage('message envoy correctement. N''oubliez pas de vous dconnecter');
end;

procedure TForm1.NMSMTP1Failure(Sender: TObject);
begin
  ShowMessage('erreur  l''envoi du message');
end;

end.
